require File.expand_path("boot", __dir__)

# Pick the frameworks you want:
require "active_record/railtie"
require "action_controller/railtie"

Bundler.require(*Rails.groups)
require "infopark_component_cache"

module Dummy
  class Application < Rails::Application
    config.encoding = "utf-8"
    config.filter_parameters += [:password]
    config.active_support.escape_html_entities_in_json = true
    if Rails::VERSION::MAJOR == 5 && Rails::VERSION::MINOR == 2
      config.active_record.sqlite3.represent_boolean_as_integer = true
    end
  end
end
